--Filllevel Anzeige
--
SFL = {};

function SFL.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Fillable, specializations);
end;

function SFL:load(xmlFile)
	-- HUD
	self.file = Utils.getFilename("scripts/counter.png", self.baseDirectory);
	self.HUDx = 0.435;
	self.HUDy = 1-0.330;
	self.HUDWidth = 0.320;
	self.HUDHeight = 0.320;
	self.HUD = false;
	
	self.cX = 0.49;
	self.cY = 0.927;
	self.tX = 0.57;
	self.tY = 0.927;
	self.APCurrentwc0 = 0;
	self.APTotalwc0 = 0;
    
	self.APHUD = Overlay:new("APHUD", self.file, self.HUDx, self.HUDy, self.HUDWidth, self.HUDHeight);
end;

function SFL:delete()
end;

function SFL:readStream(streamId, connection)
end;

function SFL:writeStream(streamId, connection)
end;

function SFL:readUpdateStream(streamId, timestamp, connection)
end;

function SFL:writeUpdateStream(streamId, connection, dirtyMask)
end;

function SFL:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SFL:keyEvent(unicode, sym, modifier, isDown)
end;

function SFL:update(dt)
    if self:getIsActiveForInput() and self:getIsActive() then
        if InputBinding.hasEvent(InputBinding.fillLevel) then
			self.HUD = not self.HUD;
		end;
    end;
end;

function SFL:draw()
    if self.HUD then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("HUD_OFF"), self.typeDesc), InputBinding.fillLevel);
	else
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("HUD_ON"), self.typeDesc), InputBinding.fillLevel);
	end;
	if self.HUD then
		self.APHUD:render();
		setTextColor(0, 0, 0, 1.0);
		renderText(self.cX, self.cY, 0.032, string.format(g_i18n:getText("fillLevel"), self.typeDesc) .. " " .. string.format(self.fillLevel) .. " / " .. string.format(self.capacity));
		setTextBold(false);
	end;
end;

function SFL:onDetach()
end;
